<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:36:05 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CppOperations (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CppOperations (org.eclipse.papyrus.designer.languages.cpp.codegen 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppOperations.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppPackageHeaderGenerator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html" target="_top">Frames</a></li>
<li><a href="CppOperations.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.codegen.xtend</div>
<h2 title="Class CppOperations" class="title">Class CppOperations</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.codegen.xtend.CppOperations</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CppOperations</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppOperations--">CppOperations</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#ConsDestructorOrVoid-org.eclipse.uml2.uml.Operation-">ConsDestructorOrVoid</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppBehaviorDeclaration-org.eclipse.uml2.uml.Behavior-">CppBehaviorDeclaration</a></span>(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppBehaviorImplementation-org.eclipse.uml2.uml.OpaqueBehavior-">CppBehaviorImplementation</a></span>(org.eclipse.uml2.uml.OpaqueBehavior&nbsp;behavior)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppConstInit-org.eclipse.uml2.uml.Operation-">CppConstInit</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppOperationDeclaration-org.eclipse.uml2.uml.Operation-">CppOperationDeclaration</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppOperationImplementation-org.eclipse.uml2.uml.Operation-">CppOperationImplementation</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppReturnSpec-org.eclipse.uml2.uml.Behavior-">CppReturnSpec</a></span>(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#CppReturnSpec-org.eclipse.uml2.uml.Operation-">CppReturnSpec</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#destructor-org.eclipse.uml2.uml.Operation-">destructor</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Operation&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#getNestedOperations-org.eclipse.uml2.uml.Classifier-">getNestedOperations</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;c1)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Operation&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#getNestedOperationsWNull-org.eclipse.uml2.uml.Classifier-">getNestedOperationsWNull</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;cl)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Operation&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#getOwnedOperations-org.eclipse.uml2.uml.Classifier-">getOwnedOperations</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;cl)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Operation&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#getOwnedOperationsWNull-org.eclipse.uml2.uml.Classifier-">getOwnedOperationsWNull</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;cl)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#InlineTxt-org.eclipse.uml2.uml.Element-">InlineTxt</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#isConsOrDestructor-org.eclipse.uml2.uml.Operation-">isConsOrDestructor</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#qualifiedBehaviorName-org.eclipse.uml2.uml.Behavior-">qualifiedBehaviorName</a></span>(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#staticTxt-org.eclipse.uml2.uml.Operation-">staticTxt</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#throwss-org.eclipse.uml2.uml.Operation-">throwss</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#variadicParameter-org.eclipse.uml2.uml.Operation-">variadicParameter</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#virtualSuffix-org.eclipse.uml2.uml.Operation-">virtualSuffix</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html#virtualTxt-org.eclipse.uml2.uml.Operation-">virtualTxt</a></span>(org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CppOperations--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CppOperations</h4>
<pre>public&nbsp;CppOperations()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="CppOperationImplementation-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppOperationImplementation</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;CppOperationImplementation(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="CppReturnSpec-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppReturnSpec</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;CppReturnSpec(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="CppReturnSpec-org.eclipse.uml2.uml.Behavior-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppReturnSpec</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;CppReturnSpec(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</pre>
</li>
</ul>
<a name="throwss-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>throwss</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;throwss(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="ConsDestructorOrVoid-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ConsDestructorOrVoid</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ConsDestructorOrVoid(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="isConsOrDestructor-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConsOrDestructor</h4>
<pre>public static&nbsp;boolean&nbsp;isConsOrDestructor(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="CppConstInit-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppConstInit</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;CppConstInit(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="getOwnedOperations-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwnedOperations</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;getOwnedOperations(org.eclipse.uml2.uml.Classifier&nbsp;cl)</pre>
</li>
</ul>
<a name="getOwnedOperationsWNull-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwnedOperationsWNull</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;getOwnedOperationsWNull(org.eclipse.uml2.uml.Classifier&nbsp;cl)</pre>
</li>
</ul>
<a name="getNestedOperations-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNestedOperations</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;getNestedOperations(org.eclipse.uml2.uml.Classifier&nbsp;c1)</pre>
</li>
</ul>
<a name="getNestedOperationsWNull-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNestedOperationsWNull</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;getNestedOperationsWNull(org.eclipse.uml2.uml.Classifier&nbsp;cl)</pre>
</li>
</ul>
<a name="CppBehaviorImplementation-org.eclipse.uml2.uml.OpaqueBehavior-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppBehaviorImplementation</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;CppBehaviorImplementation(org.eclipse.uml2.uml.OpaqueBehavior&nbsp;behavior)</pre>
</li>
</ul>
<a name="CppOperationDeclaration-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppOperationDeclaration</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;CppOperationDeclaration(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="InlineTxt-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>InlineTxt</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;InlineTxt(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
</li>
</ul>
<a name="virtualTxt-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>virtualTxt</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;virtualTxt(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="staticTxt-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>staticTxt</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;staticTxt(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="destructor-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destructor</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;destructor(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="virtualSuffix-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>virtualSuffix</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;virtualSuffix(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
<a name="CppBehaviorDeclaration-org.eclipse.uml2.uml.Behavior-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CppBehaviorDeclaration</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/CharSequence.html?is-external=true" title="class or interface in java.lang">CharSequence</a>&nbsp;CppBehaviorDeclaration(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</pre>
</li>
</ul>
<a name="qualifiedBehaviorName-org.eclipse.uml2.uml.Behavior-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>qualifiedBehaviorName</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedBehaviorName(org.eclipse.uml2.uml.Behavior&nbsp;behavior)</pre>
</li>
</ul>
<a name="variadicParameter-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>variadicParameter</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;variadicParameter(org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppOperations.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppPackageHeaderGenerator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppOperations.html" target="_top">Frames</a></li>
<li><a href="CppOperations.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
